diff --git a/rotators/m2/rc2800.c b/rotators/m2/rc2800.c
index 8697a4119..2eba67e0a 100644
--- a/rotators/m2/rc2800.c
+++ b/rotators/m2/rc2800.c
@@ -204,7 +204,7 @@ rc2800_transaction(ROT *rot, const char *cmdstr,
 
     /* first reply is an echo */
     memset(data, 0, data_len);
-    retval = read_string(&rs->rotport, data, data_len, LF, strlen(LF));
+    retval = read_string(&rs->rotport, data, data_len, CR, strlen(CR));
 
     if (retval < 0)
     {
@@ -218,7 +218,7 @@ rc2800_transaction(ROT *rot, const char *cmdstr,
 
     /* then comes the answer */
     memset(data, 0, data_len);
-    retval = read_string(&rs->rotport, data, data_len, LF, strlen(LF));
+    retval = read_string(&rs->rotport, data, data_len, CR, strlen(CR));
 
     if (retval < 0)
     {
@@ -365,7 +365,7 @@ const struct rot_caps rc2800_rot_caps =
     ROT_MODEL(ROT_MODEL_RC2800),
     .model_name =     "RC2800",
     .mfg_name =       "M2",
-    .version =        "20200107.0",
+    .version =        "20201127.0",
     .copyright =      "LGPL",
     .status =         RIG_STATUS_BETA,
     .rot_type =       ROT_TYPE_AZEL,
